Content-Security-Policy: default-src 'none'
Content-Type: text/plain; charset=UTF-8
Content-Length: 319
Content-Disposition: inline; filename="constpower.v"
Last-Modified: Sat, 26 Jul 2025 04:51:29 GMT
Expires: Tue, 24 Jul 2035 04:51:29 GMT
ETag: "451866a63c3eee81a397fbdeedae6c69e20abe56"

module constpower(ys, yu);

output [8*8*8-1:0] ys, yu;

genvar i, j;

generate
	for (i = 0; i < 8; i = i+1)
	for (j = 0; j < 8; j = j+1) begin:V
		assign ys[i*8 + j*64 + 7 : i*8 + j*64] = $signed(i-4) ** $signed(j-4);
		assign yu[i*8 + j*64 + 7 : i*8 + j*64] = $unsigned(i) ** $unsigned(j);
	end
endgenerate

endmodule
ceas.org/iCE40/ghdl' title='iCE40/ghdl Git repository'/>
<link rel='vcs-git' href='ssh://git@git.panaceas.org/git/iCE40/ghdl' title='iCE40/ghdl Git repository'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/cgit/'><img src='/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/cgit/'>index</a> : <a title='iCE40/ghdl' href='/cgit/iCE40/ghdl/'>iCE40/ghdl</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='342971aa2920aa01a1b636e892ef709e6abfdd37'/><select name='h' onchange='this.form.submit();'>
<option value='master' selected='selected'>master</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>[no description]</td><td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/cgit/iCE40/ghdl/about/'>about</a><a href='/cgit/iCE40/ghdl/'>summary</a><a href='/cgit/iCE40/ghdl/refs/?id=342971aa2920aa01a1b636e892ef709e6abfdd37'>refs</a><a href='/cgit/iCE40/ghdl/log/src/vhdl/nodes_meta.ads.in'>log</a><a class='active' href='/cgit/iCE40/ghdl/tree/src/vhdl/nodes_meta.ads.in?id=342971aa2920aa01a1b636e892ef709e6abfdd37'>tree</a><a href='/cgit/iCE40/ghdl/commit/src/vhdl/nodes_meta.ads.in?id=342971aa2920aa01a1b636e892ef709e6abfdd37'>commit</a><a href='/cgit/iCE40/ghdl/diff/src/vhdl/nodes_meta.ads.in?id=342971aa2920aa01a1b636e892ef709e6abfdd37'>diff</a><a href='/cgit/iCE40/ghdl/stats/src/vhdl/nodes_meta.ads.in'>stats</a></td><td class='form'><form class='right' method='get' action='/cgit/iCE40/ghdl/log/src/vhdl/nodes_meta.ads.in'>
<input type='hidden' name='id' value='342971aa2920aa01a1b636e892ef709e6abfdd37'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/cgit/iCE40/ghdl/tree/?id=342971aa2920aa01a1b636e892ef709e6abfdd37'>root</a>/<a href='/cgit/iCE40/ghdl/tree/src?id=342971aa2920aa01a1b636e892ef709e6abfdd37'>src</a>/<a href='/cgit/iCE40/ghdl/tree/src/vhdl?id=342971aa2920aa01a1b636e892ef709e6abfdd37'>vhdl</a>/<a href='/cgit/iCE40/ghdl/tree/src/vhdl/nodes_meta.ads.in?id=342971aa2920aa01a1b636e892ef709e6abfdd37'>nodes_meta.ads.in</a></div><div class='content'>blob: 18e7dca29b54efd01578651fca548f611491fbf0 (<a href='/cgit/iCE40/ghdl/plain/src/vhdl/nodes_meta.ads.in?id=342971aa2920aa01a1b636e892ef709e6abfdd37'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
<a id='n25' href='#n25'>25</a>
<a id='n26' href='#n26'>26</a>
<a id='n27' href='#n27'>27</a>
<a id='n28' href='#n28'>28</a>
<a id='n29' href='#n29'>29</a>
<a id='n30' href='#n30'>30</a>
<a id='n31' href='#n31'>31</a>
<a id='n32' href='#n32'>32</a>
<a id='n33' href='#n33'>33</a>
<a id='n34' href='#n34'>34</a>
<a id='n35' href='#n35'>35</a>
<a id='n36' href='#n36'>36</a>
<a id='n37' href='#n37'>37</a>
<a id='n38' href='#n38'>38</a>
<a id='n39' href='#n39'>39</a>
<a id='n40' href='#n40'>40</a>
<a id='n41' href='#n41'>41</a>
<a id='n42' href='#n42'>42</a>
<a id='n43' href='#n43'>43</a>
<a id='n44' href='#n44'>44</a>
<a id='n45' href='#n45'>45</a>
<a id='n46' href='#n46'>46</a>
<a id='n47' href='#n47'>47</a>
<a id='n48' href='#n48'>48</a>
<a id='n49' href='#n49'>49</a>
<a id='n50' href='#n50'>50</a>
<a id='n51' href='#n51'>51</a>
<a id='n52' href='#n52'>52</a>
<a id='n53' href='#n53'>53</a>
<a id='n54' href='#n54'>54</a>
<a id='n55' href='#n55'>55</a>
<a id='n56' href='#n56'>56</a>
<a id='n57' href='#n57'>57</a>
<a id='n58' href='#n58'>58</a>
<a id='n59' href='#n59'>59</a>
<a id='n60' href='#n60'>60</a>
<a id='n61' href='#n61'>61</a>
<a id='n62' href='#n62'>62</a>
<a id='n63' href='#n63'>63</a>
<a id='n64' href='#n64'>64</a>
<a id='n65' href='#n65'>65</a>
<a id='n66' href='#n66'>66</a>
<a id='n67' href='#n67'>67</a>
<a id='n68' href='#n68'>68</a>
<a id='n69' href='#n69'>69</a>
<a id='n70' href='#n70'>70</a>
<a id='n71' href='#n71'>71</a>
<a id='n72' href='#n72'>72</a>
<a id='n73' href='#n73'>73</a>
</pre></td>
<td class='lines'><pre><code></code></pre></td></tr></table>
</div> <!-- class=content -->
<div class='footer'>generated by <a href='https://git.zx2c4.com/cgit/about/'>cgit v1.2.3</a> (<a href='https://git-scm.com/'>git 2.25.1</a>) at 2025-07-26 04:51:29 +0000</div>
</div> <!-- id=cgit -->
</body>
</html>
